package com.njcn.pojo.data;

import javax.persistence.Column;
import javax.persistence.Table;
import java.util.Date;

@Table(name="PQS_ONLINERATE")
public class OnlineRate {

	
	@Column(name="TIMEID")
	private Date timeID;
	
	@Column(name="DEV_INDEX")
	private Long devIndex;
	
	@Column(name="ONLINEMIN")
	private Long onLineMin;
	
	@Column(name="OFFLINEMIN")
	private Long offLineMin;

	@Override
	public String toString() {
		return "OnlineRate [ timeID=" + timeID + ", devIndex=" + devIndex
				+ ", onLineMin=" + onLineMin + ", offLineMin=" + offLineMin + "]";
	}


	/**
	 * @return the timeID
	 */
	public Date getTimeID() {
		return timeID;
	}

	/**
	 * @param timeID the timeID to set
	 */
	public void setTimeID(Date timeID) {
		this.timeID = timeID;
	}

	/**
	 * @return the devIndex
	 */
	public Long getDevIndex() {
		return devIndex;
	}

	/**
	 * @param devIndex the devIndex to set
	 */
	public void setDevIndex(Long devIndex) {
		this.devIndex = devIndex;
	}

	/**
	 * @return the onLineMin
	 */
	public Long getOnLineMin() {
		return onLineMin;
	}

	/**
	 * @param onLineMin the onLineMin to set
	 */
	public void setOnLineMin(Long onLineMin) {
		this.onLineMin = onLineMin;
	}

	/**
	 * @return the offLineMin
	 */
	public Long getOffLineMin() {
		return offLineMin;
	}

	/**
	 * @param offLineMin the offLineMin to set
	 */
	public void setOffLineMin(Long offLineMin) {
		this.offLineMin = offLineMin;
	}
	
	
	
	
}
